Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Raspbian Install Problem(Cannot install Eclipse on Raspbian)
Raspbian Install Problem [message #1810725] Sat, 17 August 2019 22:01 Go to next message
Dennis Putnam is currently offline Dennis PutnamFriend
Messages: 59
Registered: January 2012
Member
I downloaded the latest 64 bit version to my Pi. When I run the installer I get this error:

./eclipse-inst: 1: ./eclipse-inst: Syntax error: word unexpected (expecting ")")

Can someone tell me what I am doing wrong? TIA.
Re: Raspbian Install Problem [message #1810727 is a reply to message #1810725] Sun, 18 August 2019 03:59 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30691
Registered: July 2009
Senior Member
This looks like an error from your command line processor itself. It's as if it doesn't recognize that this executable is an executable and is treating it as a bash script or something like that. I'm not sure that the installer works on that architecture.

You can try downloading one of the packages:

https://www.eclipse.org/downloads/packages/

And see if the packages themselves work on that architecture.
Re: Raspbian Install Problem [message #1810733 is a reply to message #1810727] Sun, 18 August 2019 13:39 Go to previous messageGo to next message
Dennis Putnam is currently offline Dennis PutnamFriend
Messages: 30
Registered: December 2017
Member
Thanks for the reply. I already tried that and while it installed, it would not run. I would get an immediate traceback when starting Eclipse. What is not clear is if Raspbian has a 64 or 32 bit version of Java. Since 'java -version' does not say 64 bit I am suspicious it might be 32 bit. Why 32 bit is installed on a 64 bit machine, I cannot guess. I am trying to find a 64 bit version of java for Raspbian but not having much luck. I also can't yet find a 32 bit version of Eclipse for Linux.

[Updated on: Sun, 18 August 2019 13:53]

Report message to a moderator

Re: Raspbian Install Problem [message #1810742 is a reply to message #1810733] Mon, 19 August 2019 01:15 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3537
Registered: July 2009
Senior Member

Eclipse.org does not build for ARM architectures. The 32-bit and 64-bit versions you see are for x86 and x86-64 systems.

Last I saw, Raspbian's build was of a version several years old. You can try another distribution like Fedora that might have a more recent version.


Nitin Dahyabhai
Eclipse Web Tools Platform

[Updated on: Mon, 19 August 2019 01:16]

Report message to a moderator

Re: Raspbian Install Problem [message #1810764 is a reply to message #1810742] Mon, 19 August 2019 12:05 Go to previous messageGo to next message
Dennis Putnam is currently offline Dennis PutnamFriend
Messages: 30
Registered: December 2017
Member
I was not aware that Pi was RISC. That explains a lot but obviously creates problems. However, if Eclipse is a java application then why would it matter if java is working on the Pi? In any case I found an article that indicates that Oxygen does run on Rasbian so I'll give that a try.

[Updated on: Mon, 19 August 2019 12:28]

Report message to a moderator

Re: Raspbian Install Problem [message #1810771 is a reply to message #1810764] Mon, 19 August 2019 13:44 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3537
Registered: July 2009
Senior Member

Eclipse is using your native UI controls, meaning it has to interact with the native code where those are implemented, so that part of it does vary by platform and architecture. It's why 64-bit Eclipse requires a 64-bit Java runtime and 32-bit Eclipse requires a 32-bit Java runtime.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Raspbian Install Problem [message #1810780 is a reply to message #1810771] Mon, 19 August 2019 14:45 Go to previous messageGo to next message
Dennis Putnam is currently offline Dennis PutnamFriend
Messages: 30
Registered: December 2017
Member
Thanks again for the reply. I think I have made progress but I'm not sure. When I launch Eclipse I am now getting a traceback:

!SESSION Mon Aug 19 09:28:33 EDT 2019 ------------------------------------------
!ENTRY org.eclipse.equinox.launcher 4 0 2019-08-19 09:28:34.175
!MESSAGE Exception launching the Eclipse Platform:
!STACK
java.lang.ClassNotFoundException: org.eclipse.core.runtime.adaptor.EclipseStarte
r
at java.net.URLClassLoader.findClass(URLClassLoader.java:382)
at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:626)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
at org.eclipse.equinox.launcher.Main.main(Main.java:1414)

Researching that error it appears that "osgi.framework=file\:plugins/org.eclipse.osgi_3.8.1.dist.jar" from "config.ini" is missing.
Re: Raspbian Install Problem [message #1810807 is a reply to message #1810780] Tue, 20 August 2019 03:49 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3537
Registered: July 2009
Senior Member

Which versions of Eclipse and Java are you trying?

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Raspbian Install Problem [message #1810844 is a reply to message #1810807] Tue, 20 August 2019 13:44 Go to previous messageGo to next message
Dennis Putnam is currently offline Dennis PutnamFriend
Messages: 30
Registered: December 2017
Member
I've tried both available versions of java.

java version "1.8.0_202"
Java(TM) SE Runtime Environment (build 1.8.0_202-b08)
Java HotSpot(TM) Client VM (build 25.202-b08, mixed mode)

and

openjdk version "11.0.3" 2019-04-16
OpenJDK Runtime Environment (build 11.0.3+7-post-Raspbian-5)
OpenJDK Server VM (build 11.0.3+7-post-Raspbian-5, mixed mode)

The only version of Eclipse I can get this close with is 3.8.
Re: Raspbian Install Problem [message #1810970 is a reply to message #1810844] Thu, 22 August 2019 17:53 Go to previous messageGo to next message
Dennis Putnam is currently offline Dennis PutnamFriend
Messages: 30
Registered: December 2017
Member
After much research it appears that the bottom line is there is no version of Eclipse that runs on ARM. I question why it is in the repository at all. Anyway, time to give up.
Re: Raspbian Install Problem [message #1810977 is a reply to message #1810970] Thu, 22 August 2019 21:34 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3537
Registered: July 2009
Senior Member

It's there because Debian had it.

It would be nice to have downloadable builds from eclipse.org built for ARM, but that would take dedicated machines, people, and time. As I touched on in https://www.eclipse.org/forums/index.php?t=msg&th=1100163&goto=1810742&#msg_1810742 , Fedora tends to keep a closer eye on having their version be current, and they do build it for 64-bit Raspberry Pis (aarch64, e.g. http://ftp.usf.edu/pub/fedora/linux/releases/30/Everything/aarch64/os/Packages/e/eclipse-platform-4.11-4.fc30.aarch64.rpm ). Perhaps you can extract its contents and run them on your Raspian installation?


Nitin Dahyabhai
Eclipse Web Tools Platform

[Updated on: Thu, 22 August 2019 21:34]

Report message to a moderator

Re: Raspbian Install Problem [message #1811011 is a reply to message #1810977] Fri, 23 August 2019 14:16 Go to previous messageGo to next message
Dennis Putnam is currently offline Dennis PutnamFriend
Messages: 30
Registered: December 2017
Member
It turned out that doesn't work. However thanks to your rpm link I learned more about my Raspbian. Although the CPU is 64 bit, the firmware is 32 bit (ARMv7) not 64 (ARMv8). I tried to find a 32 bit version based on your link but I was not able to determine what to use. I was looking in http://ftp.usf.edu/pub/fedora/linux/releases/30/Everything/armhfp/os/Packages/e/. Can you tell me which rpm to use? Thanks again for the help. I may be stuck until the ARMv8 firmware is released.

[Updated on: Fri, 23 August 2019 14:32]

Report message to a moderator

Re: Raspbian Install Problem [message #1814202 is a reply to message #1811011] Thu, 05 September 2019 15:04 Go to previous message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3537
Registered: July 2009
Senior Member

It looks like not everything that was built for their 64-bit O.S. was built for the 32-bit version. 32-bit versions in general are starting to go away.

Nitin Dahyabhai
Eclipse Web Tools Platform
Previous Topic:SWTBOt : Extrenal RCP application got launched but crashed
Next Topic:"Start the installer" : Debian Linux
Goto Forum:
  


Current Time: Wed Dec 11 18:57:29 GMT 2019

Powered by FUDForum. Page generated in 0.03381 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top